jQuery( document ).ready(function() {

	// Submits form without refreshing
	jQuery('#request-form').submit(function() {
		var post_data = jQuery('#request-form').serialize();
		jQuery.post('../wp-content/plugins/site-owner-plugin/form-to-email.php', post_data, function(data) {
			jQuery('#notification').show();
		});
	});

  // function myAjax() {
  //       jQuery.ajax({
  //            type: "POST",
  //            url: 'your_url/ajax.php',
  //            data:{action:'call_this'},
  //            success:function(html) {
  //              alert(html);
  //            }
	//
  //       });
  //  }

	// Allow quick links to be sortable
  jQuery("#quick-links-list").sortable({
      revert: false,
  });

	var $sortableList = jQuery("#quick-links-list");

	// After sorting list, make an ajax call (so we can save.) Ajax is in wordpress-hq.php
	var sortEventHandler = function(event, ui){
	    //alert("New sort order!");

			// This are the variables we are passing via AJAX
		  var text = new Array();
		  var links = new Array();

		  // Iterate through the <li> items
		  jQuery("#quick-links-list").children("li").each(function()
		  {
		      var titleVar = jQuery(this).text();
		      var linkVar = jQuery(this).find('a').attr('href');

		      text.push(titleVar);
		      links.push(linkVar);

		  });

		  //alert(jQuery("#quick-links-list").find('a').attr('href'));

		  // This does the ajax request (The Call).
		  jQuery.ajax({
		      url: ajaxurl, // Since WP 2.8 ajaxurl is always defined and points to admin-ajax.php
		      data: {
		          'action':'example_ajax_request', // This is our PHP function below
		          'text' : text, // Variables we are sending via AJAX
		          'links': links
		      },
		      success:function(data) {
		  				// This outputs the result of the ajax request (The Callback)
		          //window.alert(data);
		      },
		      error: function(errorThrown){
		          window.alert(errorThrown);
		      }
		  });
	};

	$sortableList.sortable({
	    stop: sortEventHandler
	});

});
