<?php /* Quick Links widget */


// If you need to programmatically delete all custom links:
//delete_option('customlinks_opt');

$get_newest = get_option('customlinks_opt');

// Adding a custom quick link
if (isset($_POST['customlinks-submit']))
{
	// POST submitted data
  $text = $_POST["link1text"];
  $url = $_POST["link1url"];

	$new_arr = array (
		$text => $url
	);

	// If custom link option setting doesn't exist, add it
	if ( !get_option('customlinks_opt') )  {

    $default_arr = array_merge($default_arr, $new_arr);

		// IDK, it doesn't work with just add_ if you've deleted all custom links. Both works for some reason.
		add_option( 'customlinks_opt', $default_arr );
		update_option( 'customlinks_opt', $default_arr );
	// Otherwise, update it
	} else {
		$get_arr = get_option('customlinks_opt');

		$upd_arr = array_merge((array)$get_arr, $new_arr);

    //print_r($upd_arr);

		update_option('customlinks_opt', $upd_arr);
	}
	$get_newest = get_option('customlinks_opt');
}

// Deleting a custom quick link
if (isset($_POST['deletelinks-submit'])) {
	$key = $_POST["link-key"];
	$url = $_POST["link-url"];
	$get_newest = get_option('customlinks_opt');
	$array_without_key = array_diff_assoc($get_newest, array($key => $url));
	update_option('customlinks_opt', $array_without_key);
}

?>
<div id="quick-links-widget">
  <ul id="quick-links-list">
	  <?php
	  foreach (get_option('customlinks_opt') as $key => $value) {
  		echo "<li style='height: 18px;'><a href='{$value}' value='{$value}'>{$key}</a>";
  		// Delete custom link (admin only)
  		$user = wp_get_current_user();
  		if ( !in_array( 'site_owner', (array) $user->roles ) && in_array( 'administrator', (array) $user->roles ) ) {
  		  echo "<form class='deletelink' name='deletelink' action='' method='POST'>";
  		  	echo "<input type='hidden' name='link-key' value='{$key}'>";
  		  	echo "<input type='hidden' name='link-url' value='{$value}'>";
  		  	echo "<input type='submit' name='deletelinks-submit' value='x'>";
  		  echo "</form>";
  		}
  		echo "</li>";
	  }

	  ?>
  </ul>
  <?php
	// Add custom link (admin only)
	$user = wp_get_current_user();
	if ( !in_array( 'site_owner', (array) $user->roles ) && in_array( 'administrator', (array) $user->roles ) ) {
  ?>
  	<hr>
  	<form name="customlinks" action="" method="POST">
  		<strong>Add Custom Quick Links</strong><br>
  		<label for="link-text">Link Text:</label>
  			<input type="text" name="link1text"><br>
  		<label for="link-url">Link URL:</label>
  			<input type="text" name="link1url">
  			<input type="submit" name="customlinks-submit" value="Submit">
  	</form>
	<?php } ?>
</div>

<?php
