<?php /* Website Checklist widget */ ?>
<div id="website-checklist-widget">
  <ul id="website-checklist">
    <li>
    <?php
    /**
     * Discourage Search Engines checked?
     */
    if( 0 == get_option( 'blog_public' ) ) { echo '❌ Search engines discouraged.'; }
    else { echo '✔️ Search engines NOT discouraged.'; }
    ?>
    </li>
    <!-- Sitemap & Robots.txt on site? -->
    <li>
      <?php
      $checkForFiles = array('sitemap-index.xml', 'sitemap_index.xml', 'sitemap.xml', 'robots.txt');

      $host = get_home_url();
      /* $host = 'http://php.net/'; <-- can use this to check what a working site looks like. */

      $sitemapFound = false;
      $sitemapForbidden = false;

      foreach($checkForFiles as $file){
          $url = $host . '/' . $file;

//           $ch = curl_init ($url);
//           curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
//           curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
//           curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
//           curl_setopt($ch, CURLOPT_HEADER, 1);

//           $output = curl_exec ($ch);

//           if ( $file == 'sitemap-index.xml' || $file == 'sitemap_index.xml' || $file == 'sitemap.xml' ) {
//             if(curl_getinfo($ch)['http_code'] != 200) {
//               // nothing
//             } else if(curl_getinfo($ch)['http_code'] == 403) {
//               $sitemapForbidden = true;
//             } else {
//               $sitemapFound = true;
//             }
//           } else if ( $file == 'robots.txt' ) {
//             if(curl_getinfo($ch)['http_code'] != 200) {
//               if(curl_getinfo($ch)['http_code'] == 403) {
//                 echo '<li>❌ Robots.txt is 403 forbidden.</li>';
//               } else {
//                 echo '<li>❌ Robots.txt NOT found.</li>';
//               }
//             } else {
//               echo '<li>✔️ Robots.txt found.</li>';
//             }
//           } else {
//             if(curl_getinfo($ch)['http_code'] != 200)
//             {
//                   echo '<li>❌ ' . $file . ' NOT found.</li>';
//             } else
//             {
//                 echo '<li>✔️ ' . $file . ' does exist on <a target="_blank" href="'. $url .'">' . $url .'</a>' . '</li>';
//             }
//           }

//           curl_close($ch);
  			$file_headers = @get_headers($url);

        // File NOT found
  			if(strpos($file_headers[0], '404 Not Found')) {
  				if ($file == 'robots.txt') {
  					echo '<li>❌ Robots.txt NOT found.</li>';
  				} else if ( $file == 'sitemap-index.xml' || $file == 'sitemap_index.xml' || $file == 'sitemap.xml' ) {
  					// nothing
  				} else {
  					echo '<li>❌ ' . $file . ' does NOT exist.</li>';
  				}
  			}
        // File was found!
  		  else {
  				if ($file == 'robots.txt') {
  					echo '<li>✔️ Robots.txt found.</li>';
  				} else if ( $file == 'sitemap-index.xml' || $file == 'sitemap_index.xml' || $file == 'sitemap.xml' ) {
  					$sitemapFound = true;
  				} else {
  					echo '<li>✔️ ' . $file . ' exists.</li>';
  				}
  			}
      }
      if ( $sitemapFound == true ) {
        echo '<li>✔️ XML Sitemap found.</li>';
      } else if ( $sitemapForbidden == true ) {
        echo '<li>❌ XML Sitemap is 403 forbidden.</li>';
      } else {
        echo '<li>❌ XML Sitemap NOT found.</li>';
      }

      ?>
    </li>

    <li>
      <?php
      /* Check the site for these files */
      function check_url($url) {
          $page = file_get_contents($url);
          $googleTagManager = 'gtag.js';
          $googleTagManager2 = 'googletagmanager.com/gtag/js';
          $googleAnalytics = 'analytics.js';
          if (strpos($page, $googleTagManager) != FALSE) {
              return true;
          } else if (strpos($page, $googleTagManager2) != FALSE) {
              return true;
          } else if (strpos($page, $googleAnalytics) != FALSE) {
              return true;
          } else {
              return false;
          }
      }

      /**
       * Check for installation of Google Analytics (or Google Tag Manager)
       */

      $googleAnalyticsFound = check_url(get_site_url());

      if ( $googleAnalyticsFound ) {
          echo '✔️ Google Analytics found.';
      } else {
          echo '❌ Google Analytics NOT found.';
      }

      ?>
    </li>
    <!-- <li>TODO: Check for 404 errors - this one may have to wait on the back burner but maybe there's a plugin/script that can be installed to do this?</li> -->
  </ul>
</div>
